org.jbpm.services.task.impl.model

## Class TaskImpl_

- java.lang.Object
- - org.jbpm.services.task.impl.model.TaskImpl_

-     @Generated(value="org.hibernate.jpamodelgen.JPAMetaModelEntityProcessor")
      public abstract class TaskImpl_
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,Short>` | `archived`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,DeadlinesImpl>` | `deadlines`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,DelegationImpl>` | `delegation`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,String>` | `description`
    `static javax.persistence.metamodel.ListAttribute<TaskImpl,I18NTextImpl>` | `descriptions`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,String>` | `formName`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,Long>` | `id`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,String>` | `name`
    `static javax.persistence.metamodel.ListAttribute<TaskImpl,I18NTextImpl>` | `names`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,PeopleAssignmentsImpl>` | `peopleAssignments`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,Integer>` | `priority`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,String>` | `subject`
    `static javax.persistence.metamodel.ListAttribute<TaskImpl,I18NTextImpl>` | `subjects`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,org.kie.internal.task.api.model.SubTasksStrategy>` | `subTaskStrategy`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,TaskDataImpl>` | `taskData`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,String>` | `taskType`
    `static javax.persistence.metamodel.SingularAttribute<TaskImpl,Integer>` | `version`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaskImpl_()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### peopleAssignments

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,PeopleAssignmentsImpl> peopleAssignments

    - #### subject

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,String> subject

    - #### subjects

          public static volatile javax.persistence.metamodel.ListAttribute<TaskImpl,I18NTextImpl> subjects

    - #### description

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,String> description

    - #### taskData

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,TaskDataImpl> taskData

    - #### priority

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,Integer> priority

    - #### version

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,Integer> version

    - #### descriptions

          public static volatile javax.persistence.metamodel.ListAttribute<TaskImpl,I18NTextImpl> descriptions

    - #### deadlines

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,DeadlinesImpl> deadlines

    - #### archived

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,Short> archived

    - #### subTaskStrategy

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,org.kie.internal.task.api.model.SubTasksStrategy> subTaskStrategy

    - #### taskType

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,String> taskType

    - #### names

          public static volatile javax.persistence.metamodel.ListAttribute<TaskImpl,I18NTextImpl> names

    - #### formName

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,String> formName

    - #### name

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,String> name

    - #### id

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,Long> id

    - #### delegation

          public static volatile javax.persistence.metamodel.SingularAttribute<TaskImpl,DelegationImpl> delegation

  - ### Constructor Detail

    - #### TaskImpl_

          public TaskImpl_()

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.